%global installdir %{buildroot}%{_jsdir}/jquery
%global ver_x %(echo %{version} | cut -d. -f1)
%global ver_y %(echo %{version} | cut -d. -f2)
%global ver_z %(echo %{version} | cut -d. -f3)

Summary:        JavaScript DOM manipulation, event handling, and AJAX library
Name:           js-jquery
Version:        3.6.4
Release:        5%{?dist}
License:        MIT
URL:            https://jquery.com/
Source0:        https://github.com/jquery/jquery/archive/%{version}/jquery-%{version}.tar.gz
# created by ./update-sources.sh <version>
Source1:        jquery_%{version}_node_modules.tar.gz
Patch3000:      %{name}-disable-gzip-js.patch

BuildRequires:  web-assets-devel
BuildRequires:  nodejs-packaging nodejs
Requires:       web-assets-filesystem
Provides:       jquery = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}%{ver_x} = %{version}-%{release}
Provides:       %{name}%{ver_x}-static = %{version}-%{release}
Provides:       bundled(sizzle) = 2.3.5
Provides:       bundled(js-sizzle) = 2.3.5

BuildArch:      noarch


%description
This package provides a fast, small, and feature-rich JavaScript library. jQuery makes things 
like HTML document traversal and manipulation, event handling, animation, and Ajax much simpler 
with an easy-to-use API that works across a multitude of browsers. 

%prep
%autosetup -n jquery-%{version} -v -p1

rm -rf dist/*
tar xf %{SOURCE1}


%build
./node_modules/grunt-cli/bin/grunt -v 'build:*:*' uglify


%install
mkdir -p %{installdir}/%{version}
cp -p dist/* %{installdir}/%{version}

mkdir -p %{buildroot}%{_webassetdir}
ln -s ../javascript/jquery %{buildroot}%{_webassetdir}/jquery

ln -s %{version} %{installdir}/latest
ln -s %{version} %{installdir}/%{ver_x}
ln -s %{version} %{installdir}/%{ver_x}.%{ver_y}


%check
./node_modules/grunt-cli/bin/grunt -v 'build:*:*' test:prepare test:fast


%files
%license LICENSE.txt
%doc AUTHORS.txt CONTRIBUTING.md README.md
%{_jsdir}/jquery
%{_webassetdir}/jquery


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.4-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 25 2023 Miaojun Dong <zoedong@tencent.com> - 3.6.4-4
- Rebuild for nodejs-18.14.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Wang Guodong <gordonwwang@tencent.com> - 3.6.4-1
- initial build
